use crate::database;
use crate::database::NodeInfo;
use rand::rngs::OsRng;

pub fn add_node(ip: String) {
    let mut csprng = OsRng;
    let privkey = ed25519_dalek::SigningKey::generate(&mut csprng);
    database::add_node(
        ip,
        NodeInfo {
            pubkey: privkey.verifying_key(),
            updated_at: std::time::SystemTime::now(),
        },
    );
    database::add_key(privkey.verifying_key(), privkey);
}
